function parameter = do_regression(x, y, start_parameter)

options = optimoptions('fminunc','GradObj','on');
fun = @exp_funct;
myfunc = @ (p)(lserr(p, x, y, fun));
parameter = fminunc(myfunc, start_parameter, options);